-- MySQL dump 10.11
--
-- Host: localhost    Database: aps_controller_db
-- ------------------------------------------------------
-- Server version	5.0.67-community-nt-log
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `aps_application`
--

SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `aps_application` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `registry_object_id` int(10) unsigned NOT NULL,
  `master_app_id` int(10) unsigned default NULL,
  `package_config_id` int(10) unsigned NOT NULL,
  `package_id` int(10) unsigned NOT NULL,
  `name` varchar(255) default NULL,
  PRIMARY KEY  (`id`),
  KEY `FK_aps_application_aps_package` (`package_id`),
  KEY `FK_aps_application_aps_package_configuration` (`package_config_id`),
  KEY `FK_aps_application_aps_registry_object` (`registry_object_id`),
  CONSTRAINT `FK_aps_application_aps_package` FOREIGN KEY (`package_id`) REFERENCES `aps_package` (`id`),
  CONSTRAINT `FK_aps_application_aps_package_configuration` FOREIGN KEY (`package_config_id`) REFERENCES `aps_package_configuration` (`id`),
  CONSTRAINT `FK_aps_application_aps_registry_object` FOREIGN KEY (`registry_object_id`) REFERENCES `aps_registry_object` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Table structure for table `aps_application_backup`
--

SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `aps_application_backup` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `registry_object_id` int(10) unsigned NOT NULL,
  `app_uid` char(36) character set latin1 NOT NULL,
  `package_id` int(10) unsigned NOT NULL,
  `ext_backup_id` varchar(255) default NULL,
  PRIMARY KEY  (`id`),
  KEY `FK_aps_application_backup_aps_package` (`package_id`),
  KEY `FK_aps_application_backup_aps_registry_object` (`registry_object_id`),
  CONSTRAINT `FK_aps_application_backup_aps_package` FOREIGN KEY (`package_id`) REFERENCES `aps_package` (`id`) ON DELETE CASCADE,
  CONSTRAINT `FK_aps_application_backup_aps_registry_object` FOREIGN KEY (`registry_object_id`) REFERENCES `aps_registry_object` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Table structure for table `aps_application_resource`
--

SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `aps_application_resource` (
  `app_id` int(10) unsigned NOT NULL,
  `resource_id` int(10) unsigned NOT NULL,
  KEY `FK_aps_application_resource_aps_application` (`app_id`),
  KEY `FK_aps_application_resource_aps_resource` (`resource_id`),
  CONSTRAINT `FK_aps_application_resource_aps_application` FOREIGN KEY (`app_id`) REFERENCES `aps_application` (`id`),
  CONSTRAINT `FK_aps_application_resource_aps_resource` FOREIGN KEY (`resource_id`) REFERENCES `aps_resource` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Table structure for table `aps_package`
--

SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `aps_package` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `registry_object_id` int(10) unsigned NOT NULL,
  `series_id` int(10) unsigned NOT NULL,
  `master_series_id` int(10) unsigned default NULL,
  `name` varchar(255) NOT NULL,
  `version` varchar(16) NOT NULL,
  `archive_uri` varchar(255) NOT NULL,
  `metafile_uri` varchar(255) NOT NULL,
  `source_uri` varchar(255) default NULL,
  `is_addon` char(1) NOT NULL default 'n',
  `master_match` varchar(255) NOT NULL default '',
  `master_package_id` varchar(255) NOT NULL default '',
  `release` varchar(16) NOT NULL,
  `content_root_uri` varchar(255) NOT NULL,
  `spec_version` varchar(16) NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `IX_aps_package_series_version` (`series_id`,`version`,`release`),
  KEY `FK_aps_package_aps_registry_object` (`registry_object_id`),
  CONSTRAINT `FK_aps_package_aps_package_series` FOREIGN KEY (`series_id`) REFERENCES `aps_package_series` (`id`),
  CONSTRAINT `FK_aps_package_aps_registry_object` FOREIGN KEY (`registry_object_id`) REFERENCES `aps_registry_object` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Table structure for table `aps_package_configuration`
--

SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `aps_package_configuration` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `uid` varchar(36) NOT NULL,
  `series_id` int(10) unsigned NOT NULL,
  `is_primary` char(1) character set latin1 NOT NULL default 'n',
  PRIMARY KEY  (`id`,`series_id`),
  UNIQUE KEY `IX_aps_package_configuration_uid` (`uid`),
  KEY `FK_aps_package_configuration_aps_package_series` (`series_id`),
  CONSTRAINT `FK_aps_package_configuration_aps_package_series` FOREIGN KEY (`series_id`) REFERENCES `aps_package_series` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Table structure for table `aps_package_global_setting`
--

SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `aps_package_global_setting` (
  `name` varchar(64) NOT NULL,
  `value` text NOT NULL,
  `order_num` int(10) unsigned NOT NULL,
  `package_config_id` int(10) unsigned NOT NULL,
  KEY `FK_aps_package_global_setting_aps_package_configuration` (`package_config_id`),
  KEY `IX_aps_package_global_setting` USING BTREE (`name`,`order_num`,`package_config_id`),
  CONSTRAINT `FK_aps_package_global_setting_aps_package_configuration` FOREIGN KEY (`package_config_id`) REFERENCES `aps_package_configuration` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Table structure for table `aps_package_resource_configuration`
--

SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `aps_package_resource_configuration` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `package_config_id` int(10) unsigned NOT NULL,
  `service_id` varchar(64) NOT NULL,
  `resource_type` varchar(256) NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `IX_aps_package_resource_configuration` USING BTREE (`package_config_id`,`service_id`),
  CONSTRAINT `FK_aps_package_resource_configuration_aps_package_configuration` FOREIGN KEY (`package_config_id`) REFERENCES `aps_package_configuration` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Table structure for table `aps_package_resource_setting`
--

SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `aps_package_resource_setting` (
  `name` varchar(64) NOT NULL,
  `value` text NOT NULL,
  `order_num` int(10) unsigned NOT NULL,
  `resource_config_id` int(10) unsigned NOT NULL,
  UNIQUE KEY `IX_aps_package_resource_setting` USING BTREE (`name`,`order_num`,`resource_config_id`),
  KEY `FK_aps_package_resource_setting_aps_package_resource_configurat` (`resource_config_id`),
  CONSTRAINT `FK_aps_package_resource_setting_aps_package_resource_configurat` FOREIGN KEY (`resource_config_id`) REFERENCES `aps_package_resource_configuration` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Table structure for table `aps_package_series`
--

SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `aps_package_series` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `aps_package_id` varchar(255) NOT NULL,
  `aps10_name` varchar(255) NOT NULL,
  `commercial_name` varchar(255) NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `IX_aps_package_series_aps_package_id` (`aps_package_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Table structure for table `aps_package_service`
--

SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `aps_package_service` (
  `package_id` int(10) unsigned NOT NULL,
  `service_id` varchar(64) NOT NULL,
  `resource_type` varchar(256) NOT NULL,
  `service_class` varchar(64) NOT NULL,
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`),
  KEY `FK_aps_package_service_aps_package` (`package_id`),
  CONSTRAINT `FK_aps_package_service_aps_package` FOREIGN KEY (`package_id`) REFERENCES `aps_package` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Table structure for table `aps_registry_object`
--

SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `aps_registry_object` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `uid` varchar(36) NOT NULL,
  `type` varchar(256) NOT NULL,
  `creation_time` timestamp NOT NULL default CURRENT_TIMESTAMP,
  `enabled` char(1) character set latin1 NOT NULL default 'y',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `IX_aps_registry_object_uid` (`uid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Table structure for table `aps_registry_object_setting`
--

SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `aps_registry_object_setting` (
  `name` varchar(64) NOT NULL,
  `value` text NOT NULL,
  `order_num` int(10) unsigned NOT NULL,
  `uuid` varchar(255) default NULL,
  `registry_object_id` int(10) unsigned NOT NULL,
  UNIQUE KEY `IX_aps_registry_object_setting` USING BTREE (`name`,`order_num`,`registry_object_id`),
  KEY `FK_aps_registry_object_setting_aps_registry_object` (`registry_object_id`),
  CONSTRAINT `FK_aps_registry_object_setting_aps_registry_object` FOREIGN KEY (`registry_object_id`) REFERENCES `aps_registry_object` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Table structure for table `aps_registry_object_tag`
--

SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `aps_registry_object_tag` (
  `registry_object_id` int(10) unsigned NOT NULL,
  `name` varchar(64) NOT NULL,
  `value` varchar(255) NOT NULL default '',
  KEY `FK_aps_registry_object_tag_aps_registry_object` (`registry_object_id`),
  CONSTRAINT `FK_aps_registry_object_tag_aps_registry_object` FOREIGN KEY (`registry_object_id`) REFERENCES `aps_registry_object` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Table structure for table `aps_resource`
--

SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `aps_resource` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `registry_object_id` int(10) unsigned NOT NULL,
  `parent_resource_id` int(10) unsigned default NULL,
  `service_id` varchar(64) NOT NULL,
  `resource_type` varchar(256) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `FK_aps_resource_aps_registry_object` (`registry_object_id`),
  CONSTRAINT `FK_aps_resource_aps_registry_object` FOREIGN KEY (`registry_object_id`) REFERENCES `aps_registry_object` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Table structure for table `aps_resource_backup`
--

SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `aps_resource_backup` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `registry_object_id` int(10) unsigned NOT NULL,
  `app_backup_id` int(10) unsigned default NULL,
  `resource_uid` char(36) NOT NULL,
  `ext_backup_id` varchar(255) default NULL,
  `parent_resource_backup_id` int(10) unsigned default NULL,
  `parent_resource_uid` char(36) default NULL,
  `service_id` varchar(64) NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `IX_aps_resource_backup_application_backup` (`app_backup_id`,`resource_uid`),
  KEY `FK_aps_resource_backup_aps_registry_object` (`registry_object_id`),
  KEY `FK_aps_resource_backup_aps_resource_backup` (`parent_resource_backup_id`),
  CONSTRAINT `FK_aps_resource_backup_aps_application_backup` FOREIGN KEY (`app_backup_id`) REFERENCES `aps_application_backup` (`id`) ON DELETE CASCADE,
  CONSTRAINT `FK_aps_resource_backup_aps_registry_object` FOREIGN KEY (`registry_object_id`) REFERENCES `aps_registry_object` (`id`),
  CONSTRAINT `FK_aps_resource_backup_aps_resource_backup` FOREIGN KEY (`parent_resource_backup_id`) REFERENCES `aps_resource_backup` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Table structure for table `aps_resource_requirement`
--

SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `aps_resource_requirement` (
  `uid` varchar(36) NOT NULL,
  `type` varchar(255) NOT NULL,
  `resource_id` int(10) unsigned NOT NULL,
  `requirement_id` varchar(255) NOT NULL,
  `id` int(10) unsigned NOT NULL auto_increment,
  `branch` varchar(255) default NULL,
  PRIMARY KEY  USING BTREE (`id`),
  KEY `FK_aps_resource_requirement_aps_resource` (`resource_id`),
  CONSTRAINT `FK_aps_resource_requirement_aps_resource` FOREIGN KEY (`resource_id`) REFERENCES `aps_resource` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Table structure for table `aps_resource_requirement_backup`
--

SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `aps_resource_requirement_backup` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `resource_backup_id` int(10) unsigned NOT NULL,
  `uid` char(36) NOT NULL,
  `type` varchar(255) NOT NULL,
  `requirement_id` varchar(255) NOT NULL,
  `ext_backup_id` varchar(255) default NULL,
  `branch` varchar(255) default NULL,
  PRIMARY KEY  (`id`),
  KEY `FK_aps_resource_requirement_backup_aps_resource_backup` (`resource_backup_id`),
  CONSTRAINT `FK_aps_resource_requirement_backup_aps_resource_backup` FOREIGN KEY (`resource_backup_id`) REFERENCES `aps_resource_backup` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Table structure for table `aps_settings_sequenses`
--

SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE IF NOT EXISTS `aps_settings_sequenses` (
  `sequence_id` varchar(255) NOT NULL,
  `counter` int(10) unsigned NOT NULL,
  PRIMARY KEY  (`sequence_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2011-05-12 13:09:15
