-- Upgrade script for Plesk Backup Manager database tables
ALTER TABLE `psa`.`BackupsScheduled` ADD COLUMN `repository` enum('local','ftp') NOT NULL DEFAULT 'local' AFTER `obj_type`;

CREATE TABLE IF NOT EXISTS BackupsSettings (
	id int unsigned default NULL,
  	type enum('domain','client','server') NOT NULL default 'domain',
  	param varchar(255) NOT NULL default '',
  	value varchar(255) character set utf8 default NULL,
  	UNIQUE KEY `index1` (`id`,`type`,`param`)
) ENGINE=InnoDB;

insert into BackupsSettings select domains.id, 'domain' as type, 'backup_ftp_settingdirectory' as param, Parameters.value  from domains, Parameters where Parameters.id = domains.params_id and Parameters.parameter='bu_ftp_basedir';
insert into BackupsSettings select domains.id, 'domain' as type, 'backup_ftp_settinglogin' as param, Parameters.value  from domains, Parameters where Parameters.id = domains.params_id and Parameters.parameter='bu_ftp_login';
insert into BackupsSettings select domains.id, 'domain' as type, 'backup_ftp_settinghost' as param, Parameters.value  from domains, Parameters where Parameters.id = domains.params_id and Parameters.parameter='bu_ftp_server';
insert into BackupsSettings select domains.id, 'domain' as type, 'backup_ftp_settingpassword' as param, Parameters.value  from domains, Parameters where Parameters.id = domains.params_id and Parameters.parameter='bu_ftp_password';

delete from Parameters where parameter like 'bu_%';
