-- -------------- SB integration
CREATE TABLE IF NOT EXISTS `SBSites` (
        `id`                    INT UNSIGNED AUTO_INCREMENT PRIMARY KEY
                                        -- ID autogenerated
,       `virtualHost_id`        INT UNSIGNED NOT NULL
                                        -- Domain ID
,       `sb_site_id`            VARCHAR(255) CHARACTER SET ascii COLLATE ascii_bin
                                        -- SB Site ID
,       `sb_siteowner_id`               VARCHAR(255) CHARACTER SET ascii COLLATE ascii_bin
                                        -- SB Siteowner ID
,       `sb_siteowner_login`    VARCHAR(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL
                                        -- Login name to SB, used for domain owner in Plesk
,                               UNIQUE (virtualHost_id)
                                        -- REFERENCES domains (id) [VirtualHost (id) in future]
,                               UNIQUE (sb_site_id)
) ENGINE=InnoDB;

CREATE TABLE IF NOT EXISTS `SBResellers` (
        `id`                    INT UNSIGNED AUTO_INCREMENT PRIMARY KEY
                                        --  ID autogenerated
,       `client_id`             INT UNSIGNED NOT NULL
                                        -- client ID
,       `sb_client_login`       VARCHAR(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL
                                        -- Login name to SB, used for client in Plesk
,       `sb_reseller_id`        VARCHAR(255) CHARACTER SET ascii COLLATE ascii_bin NOT NULL
                                        --  SB User ID
,                               UNIQUE (client_id)
                                        -- REFERENCES clients (id)
,                               UNIQUE (sb_client_login)
,                               UNIQUE (sb_reseller_id)
) ENGINE=InnoDB;

CREATE TABLE IF NOT EXISTS `SBConfig` (
        `param_name`            VARCHAR(255) CHARACTER SET ascii COLLATE ascii_bin
                                        --  parameter name
,       `param_value`           VARCHAR(255) CHARACTER SET ascii COLLATE ascii_bin
                                        -- parameter value
,                               UNIQUE (`param_name`)
) ENGINE=InnoDB;

-- -------------- SSO Branding
CREATE TABLE IF NOT EXISTS SSOBranding (
        http_request_domain     VARCHAR(255) CHARACTER SET utf8 COLLATE utf8_general_ci PRIMARY KEY,
        idp_url                 VARCHAR(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL
) ENGINE=InnoDB;

-- -------------- APS

replace into Notes (id, text) values (12, "The Application Manager reports error: <error_name>.\nBelow is details of the error:\n-----\n<error_details>\n-----");
replace into Notifications (id, note_id, subj, send2admin, send2client) values (12,12, 'Application Manager Error notification.', 1, 0);
INSERT INTO NewsArticles(class) VALUES ('WhatsNew8_3');

